<div id="body" class="">
    <div class="outerdiv">
          <?php if(isset($error)){ ?>
        <div class="innerdiv">
            <?= htmlspecialchars($error) ?>
        </div>
          <?php }else{ ?>
        <div id="custom-tabs" style="margin:15px;">
            <ul class="nav nav-tabs">
                <li><a href="#tabs-1"><?php echo $this->lang->line('bundle_tab_details'); ?></a></li>
                <li><a href="#tabs-2"><?php echo $this->lang->line('bundle_tab_bundle_using'); ?></a></li>
                <li><a href="#tabs-3"><?php echo $this->lang->line('bundle_tab_all_bundle'); ?></a></li>
            </ul>
            <div id="tabs-1" class="ui-corner-all">
                <div class="panel">

                    <div class="panelcontent">

                        <h2><?php echo $this->lang->line('bundle_definition_of'); ?> <?= htmlspecialchars($bundle) ?></h2>

                        <p><b><?php echo $this->lang->line('bundle_name'); ?>:</b> <span id="bundle"><?= htmlspecialchars($bundle) ?></span></p>
                        <p><b><?php echo $this->lang->line('bundle_arguments'); ?>:</b>
                            <?php echo implode(', ', (array)$args) ?>
                        </p>

                        <div>

                            <table class="bundlelist-table table table-striped table-bordered table-condensed">
                                <thead>
                                <tr>
                                    <th scope="col"><?php echo $this->lang->line('bundle_handle'); ?></th>
                                </tr>
                                <tr>
                                    <th scope="host-class" colspan="2"><?php echo $this->lang->line('bundle_host_class'); ?> </th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php if (is_array($classes) && !empty($classes)) {
                                    foreach ((array) $classes as $c) { ?>
                                        <tr>
                                            <td><?= htmlspecialchars($c[1]) ?></td>
                                        </tr>
                                    <?php }
                                } else { ?>
                                    <tr>
                                        <td>None</td>
                                        <td></td>
                                    </tr>
                                <?php } ?>

                                <tr>
                                    <th scope="promise" colspan="2"><?php echo $this->lang->line('bundle_promise'); ?></th>
                                </tr>

                                <?php if (is_array($list) && !empty($list)) {
                                    foreach ((array) $list as $promise) { ?>
                                        <tr>
                                            <td><?php echo sprintf("<a href='%s/promise/details/%s'>%s</a>",  site_url(), htmlspecialchars($promise), htmlspecialchars($promise)); ?></td>
                                            <td></td>
                                        </tr>
                                    <?php }
                                } else { ?>
                                    <tr>
                                        <td>None</td>
                                        <td></td>
                                    </tr>
                                <?php } ?>
                              </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>

            <div id="tabs-2" class="ui-corner-all">
                <table class="bundlelist-table table table-striped table-bordered table-condensed">
                    <thead>
                    <tr>
                        <th scope="col"><?php echo $this->lang->line('bundle_bundle'); ?></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php if (is_array($others) && !empty($others)) {
                        foreach ((array) $others as $o) { ?>
                            <tr>
                                <td><?php echo sprintf("<a href='%s/bundle/details/bundle/%s/type/%s'>%s</a>",  site_url(), htmlspecialchars($o['bundlename']), htmlspecialchars($o['bundletype']), htmlspecialchars($o['bundlename'])); ?></td>
                            </tr>
                        <?php }
                    } else { ?>
                        <tr>
                            <td>None</td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
            </div>

            <div id="tabs-3" class="ui-corner-all">

                <table class="bundlelist-table table table-striped table-bordered table-condensed">
                    <thead>
                    <tr>
                        <th scope="col"><?php echo $this->lang->line('bundle_tab_all_bundle'); ?></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php if (is_array($allbundles) && !empty($allbundles)) {
                        foreach ((array) $allbundles as $bundles) { ?>
                            <tr>
                                <td><?php echo sprintf("<a href='%s/bundle/details/bundle/%s/type/%s'>%s</a>",  site_url(), htmlspecialchars($bundles[1]), htmlspecialchars($bundles[0]), htmlspecialchars($bundles[1])); ?></td>
                            </tr>
                        <?php }
                    } else { ?>
                        <tr>
                            <td>None</td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>

            </div>

        </div>
         <?php } ?>
    </div>
</div>
<div class="clear"></div>
<script type="text/javascript">
    jQuery(document).ready(function(){
        $( "#custom-tabs" ).tabs();
    });
</script>