!/**
 * Highcharts Stock JS v11.4.8 (2024-08-29)
 *
 * Indicator series type for Highcharts Stock
 *
 * (c) 2010-2024 Karol Kolodziej
 *
 * License: www.highcharts.com/license
 */function(e){"object"==typeof module&&module.exports?(e.default=e,module.exports=e):"function"==typeof define&&define.amd?define("highcharts/indicators/klinger",["highcharts","highcharts/modules/stock"],function(t){return e(t),e.Highcharts=t,e}):e("undefined"!=typeof Highcharts?Highcharts:void 0)}(function(e){"use strict";var t=e?e._modules:{};function i(t,i,s,o){t.hasOwnProperty(i)||(t[i]=o.apply(null,s),"function"==typeof CustomEvent&&e.win.dispatchEvent(new CustomEvent("HighchartsModuleLoaded",{detail:{path:i,module:t[i]}})))}i(t,"Stock/Indicators/MultipleLinesComposition.js",[t["Core/Series/SeriesRegistry.js"],t["Core/Utilities.js"]],function(e,t){var i;let{sma:{prototype:s}}=e.seriesTypes,{defined:o,error:r,merge:a}=t;return function(e){let t=["bottomLine"],i=["top","bottom"],n=["top"];function l(e){return"plot"+e.charAt(0).toUpperCase()+e.slice(1)}function p(e,t){let i=[];return(e.pointArrayMap||[]).forEach(e=>{e!==t&&i.push(l(e))}),i}function h(){let e=this,t=e.pointValKey,i=e.linesApiNames,n=e.areaLinesNames,h=e.points,u=e.options,c=e.graph,g={options:{gapSize:u.gapSize}},d=[],f=p(e,t),m=h.length,y;if(f.forEach((e,t)=>{for(d[t]=[];m--;)y=h[m],d[t].push({x:y.x,plotX:y.plotX,plotY:y[e],isNull:!o(y[e])});m=h.length}),e.userOptions.fillColor&&n.length){let t=d[f.indexOf(l(n[0]))],i=1===n.length?h:d[f.indexOf(l(n[1]))],o=e.color;e.points=i,e.nextPoints=t,e.color=e.userOptions.fillColor,e.options=a(h,g),e.graph=e.area,e.fillGraph=!0,s.drawGraph.call(e),e.area=e.graph,delete e.nextPoints,delete e.fillGraph,e.color=o}i.forEach((t,i)=>{d[i]?(e.points=d[i],u[t]?e.options=a(u[t].styles,g):r('Error: "There is no '+t+' in DOCS options declared. Check if linesApiNames are consistent with your DOCS line names."'),e.graph=e["graph"+t],s.drawGraph.call(e),e["graph"+t]=e.graph):r('Error: "'+t+" doesn't have equivalent in pointArrayMap. To many elements in linesApiNames relative to pointArrayMap.\"")}),e.points=h,e.options=u,e.graph=c,s.drawGraph.call(e)}function u(e){let t,i=[],o=[];if(e=e||this.points,this.fillGraph&&this.nextPoints){if((t=s.getGraphPath.call(this,this.nextPoints))&&t.length){t[0][0]="L",i=s.getGraphPath.call(this,e),o=t.slice(0,i.length);for(let e=o.length-1;e>=0;e--)i.push(o[e])}}else i=s.getGraphPath.apply(this,arguments);return i}function c(e){let t=[];return(this.pointArrayMap||[]).forEach(i=>{t.push(e[i])}),t}function g(){let e=this.pointArrayMap,t=[],i;t=p(this),s.translate.apply(this,arguments),this.points.forEach(s=>{e.forEach((e,o)=>{i=s[e],this.dataModify&&(i=this.dataModify.modifyValue(i)),null!==i&&(s[t[o]]=this.yAxis.toPixels(i,!0))})})}e.compose=function(e){let s=e.prototype;return s.linesApiNames=s.linesApiNames||t.slice(),s.pointArrayMap=s.pointArrayMap||i.slice(),s.pointValKey=s.pointValKey||"top",s.areaLinesNames=s.areaLinesNames||n.slice(),s.drawGraph=h,s.getGraphPath=u,s.toYData=c,s.translate=g,e}}(i||(i={})),i}),i(t,"Stock/Indicators/Klinger/KlingerIndicator.js",[t["Stock/Indicators/MultipleLinesComposition.js"],t["Core/Series/SeriesRegistry.js"],t["Core/Utilities.js"]],function(e,t,i){let{ema:s,sma:o}=t.seriesTypes,{correctFloat:r,error:a,extend:n,isArray:l,merge:p}=i;class h extends o{calculateTrend(e,t){return e[t][1]+e[t][2]+e[t][3]>e[t-1][1]+e[t-1][2]+e[t-1][3]?1:-1}isValidData(e){let t=this.chart,i=this.options,s=this.linkedParent,o=l(e)&&4===e.length,r=this.volumeSeries||(this.volumeSeries=t.get(i.params.volumeSeriesID));return r||a("Series "+i.params.volumeSeriesID+" not found! Check `volumeSeriesID`.",!0,s.chart),!!([s,r].every(function(e){return e&&e.xData&&e.xData.length>=i.params.slowAvgPeriod})&&o)}getCM(e,t,i,s,o){return r(t+(i===s?e:o))}getDM(e,t){return r(e-t)}getVolumeForce(e){let t=[],i=0,s,o=1,r=0,a=e[0][1]-e[0][2],n=0,l;for(;o<e.length;o++)l=this.calculateTrend(e,o),s=this.getDM(e[o][1],e[o][2]),i=this.getCM(r,s,l,n,a),t.push([this.volumeSeries.yData[o]*l*Math.abs(2*(s/i-1))*100]),n=l,r=i,a=s;return t}getEMA(e,t,i,o,r,a,n){return s.prototype.calculateEma(n||[],e,void 0===a?1:a,o,t,void 0===r?-1:r,i)}getSMA(e,t,i){return s.prototype.accumulatePeriodPoints(e,t,i)/e}getValues(e,t){let i=[],s=e.xData,o=e.yData,a=[],n=[],l=[],p,h=0,u=0,c,g,d,f=null;if(!this.isValidData(o[0]))return;let m=this.getVolumeForce(o),y=this.getSMA(t.fastAvgPeriod,0,m),A=this.getSMA(t.slowAvgPeriod,0,m),v=2/(t.fastAvgPeriod+1),P=2/(t.slowAvgPeriod+1);for(;h<o.length;h++)h>=t.fastAvgPeriod&&(g=u=this.getEMA(m,g,y,v,0,h,s)[1]),h>=t.slowAvgPeriod&&(d=c=this.getEMA(m,d,A,P,0,h,s)[1],l.push(p=r(u-c)),l.length>=t.signalPeriod&&(f=l.slice(-t.signalPeriod).reduce((e,t)=>e+t)/t.signalPeriod),i.push([s[h],p,f]),a.push(s[h]),n.push([p,f]));return{values:i,xData:a,yData:n}}}return h.defaultOptions=p(o.defaultOptions,{params:{fastAvgPeriod:34,slowAvgPeriod:55,signalPeriod:13,volumeSeriesID:"volume"},signalLine:{styles:{lineWidth:1,lineColor:"#ff0000"}},dataGrouping:{approximation:"averages"},tooltip:{pointFormat:'<span style="color: {point.color}">●</span><b> {series.name}</b><br/><span style="color: {point.color}">Klinger</span>: {point.y}<br/><span style="color: {point.series.options.signalLine.styles.lineColor}">Signal</span>: {point.signal}<br/>'}}),n(h.prototype,{areaLinesNames:[],linesApiNames:["signalLine"],nameBase:"Klinger",nameComponents:["fastAvgPeriod","slowAvgPeriod"],pointArrayMap:["y","signal"],parallelArrays:["x","y","signal"],pointValKey:"y"}),e.compose(h),t.registerSeriesType("klinger",h),h}),i(t,"masters/indicators/klinger.src.js",[t["Core/Globals.js"]],function(e){return e})});